### Method

# FwupdPlugin Progress set_profile

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_set_profile (
      FuProgress* self,
      gboolean profile
    )

#### Description [src]

This enables profiling of FuProgress. This may be useful in development, but be warned; enabling profiling makes `FuProgress` very slow.

Available since: 1.7.0

#### Parameters

`profile`

  Type: `gboolean`

  If profiling should be enabled.